window.onload = init;

function init() {
    new Vue({
        el: "#app",
        data: {
            restaurants: [],
            nom: "",
            cuisine: ""
        },
        mounted() {
            console.log('avant affichage');
            this.getRestaurants();
        },
        methods: {
            getRestaurants() {
                let url = "http://localhost:8085/api/restaurants";
                fetch(url)
                    .then((data) => {
                        return data.json();
                    }).then((reponse) => {
                        // restaurants = reponse du web service sous
                        // forme d'objet js manipulable
                        this.restaurants = reponse.data;
                    })
            },
            ajouterRestaurant(event) {
                event.preventDefault();

                // On recupere le formulaire
                let form = event.target;

                // On récupère les données du formulaire
                let donneesFormulaire = new FormData(form);

                // On envoie en POST les données du formulaire
                // sur /api/restaurants
                let url = "http://localhost:8085/api/restaurants";
                fetch(url, {
                    method: "POST",
                    body: donneesFormulaire
                }).then((data) => {
                    return data.json()
                }).then((reponse) => {
                    console.log(reponse.msg);
                    // On re-affiche les restaurants
                    this.getRestaurants();
                })

                this.nom = "";
                this.cuisine = "";
            },
            supprimerRestaurant(id) {
                let url = "http://localhost:8085/api/restaurants/" + id;
                fetch(url, {
                    method: "DELETE",
                }).then((data) => {
                    return data.json()
                }).then((reponse) => {
                    console.log(reponse.msg);
                    // On re-affiche les restaurants
                    this.getRestaurants();
                })

            }
        }
    });
}